org.gradle.api.file

## Interface DirectoryVar

- All Superinterfaces:
    DirectoryProperty, Property<Directory>, PropertyState<Directory>, Provider<Directory>

  Deprecated.
  Use `DirectoryProperty` instead.

      @Incubating
       @Deprecated
      public interface DirectoryVar
      extends DirectoryProperty, PropertyState<Directory>

  Represents some configurable directory location, whose value is mutable and is not necessarily currently known until later.

  Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created using the `ProjectLayout.newDirectoryVar()` method.

  Since:
    4.1

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.file.DirectoryProperty

      `dir, dir, file, file, getAsFile, getAsFileTree, set`

    - ### Methods inherited from interface org.gradle.api.provider.Property

      `set, set`

    - ### Methods inherited from interface org.gradle.api.provider.Provider

      `get, getOrElse, getOrNull, isPresent, map`